libetonyek::NUM1Parser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::NUM1Parser Class Reference

`#include <NUM1Parser.h>`

Inheritance diagram for libetonyek::NUM1Parser:

## Public Member Functions
| NUM1Parser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package, NUMCollector &collector, NUM1Dictionary *dict)
| ~NUM1Parser () override
Public Member Functions inherited from libetonyek::IWORKParser
| IWORKParser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package)
virtual | ~IWORKParser ()=0
bool | parse ()
RVNGInputStreamPtr_t & | getInput ()
RVNGInputStreamPtr_t | getInput () const
RVNGInputStreamPtr_t & | getPackage ()
RVNGInputStreamPtr_t | getPackage () const

## Private Member Functions
IWORKXMLContextPtr_t | createDocumentContext () override
IWORKXMLContextPtr_t | createDiscardContext () override
const IWORKTokenizer & | getTokenizer () const override

## Private Attributes
NUM1ParserState | m_state

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKParser
void | setInput (const RVNGInputStreamPtr_t &input)

## Constructor & Destructor Documentation

## ◆ NUM1Parser()

libetonyek::NUM1Parser::NUM1Parser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package,
|  | NUMCollector & | collector,
|  | NUM1Dictionary * | dict )

## ◆ ~NUM1Parser()

libetonyek::NUM1Parser::~NUM1Parser | ( |  | ) |
| override

## Member Function Documentation

## ◆ createDiscardContext()

IWORKXMLContextPtr_t libetonyek::NUM1Parser::createDiscardContext | ( |  | ) |
| overrideprivatevirtual

Implements libetonyek::IWORKParser.

## ◆ createDocumentContext()

IWORKXMLContextPtr_t libetonyek::NUM1Parser::createDocumentContext | ( |  | ) |
| overrideprivatevirtual

Implements libetonyek::IWORKParser.

## ◆ getTokenizer()

const IWORKTokenizer & libetonyek::NUM1Parser::getTokenizer | ( |  | ) | const
| overrideprivatevirtual

Implements libetonyek::IWORKParser.

## Member Data Documentation

## ◆ m_state

NUM1ParserState libetonyek::NUM1Parser::m_state
| private

Referenced by createDiscardContext(), and createDocumentContext().

The documentation for this class was generated from the following files:

- NUM1Parser.h
- NUM1Parser.cpp